Package: dkms / 2.2.0.3-2

666023.patch Patch series | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
From: Andreas Beckmann <debian@abeckmann.de>
Subject: do not fail if /lib/modules does not exist
Bug-Debian: http://bugs.debian.org/666023

diff --git a/dkms_common.postinst b/dkms_common.postinst
index d8cf3a7..0c8cfc1 100644
--- a/dkms_common.postinst
+++ b/dkms_common.postinst
@@ -146,7 +146,7 @@ if [ -z "$NAME" ] || [ -z "$VERSION" ]; then
     exit 1
 fi
 
-KERNELS=$(ls /lib/modules/)
+KERNELS=$(ls /lib/modules/ 2>/dev/null || true)
 CURRENT_KERNEL=$(uname -r)
 
 #We never want to keep an older version side by side to prevent conflicts